<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>Transform</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Transform";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.geo.transform</a></div>
<h2 title="Class Transform" class="title">Class Transform</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.david.geo.transform.Transform</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Transform</span>
extends java.lang.Object</pre>
<div class="block">This class stores the specific parameters to translate or rotate
 a <code>Primitive</code>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(double)">Transform</a></span>&#8203;(double&nbsp;angle)</code></th>
<td class="colLast">
<div class="block">Create a <code>Transform</code> from an angle in degrees.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.shapes.Point)">Transform</a></span>&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;tr)</code></th>
<td class="colLast">
<div class="block">Create a <code>Transform</code> from two coordinates
 x and y stored in a <code>Point</code> only.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.shapes.Point,double)">Transform</a></span>&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;tr,
         double&nbsp;angle)</code></th>
<td class="colLast">
<div class="block">Create a <code>Transform</code> from an angle in degrees and two coordinates
 x and y stored in a <code>Point</code>.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTheta()">getTheta</a></span>()</code></th>
<td class="colLast">
<div class="block">get angle of rotation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTranslate()">getTranslate</a></span>()</code></th>
<td class="colLast">
<div class="block">get translation point value.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTheta(double)">setTheta</a></span>&#8203;(double&nbsp;value)</code></th>
<td class="colLast">
<div class="block">set the angle of rotation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTranslate(org.david.geo.shapes.Point)">setTranslate</a></span>&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;tr)</code></th>
<td class="colLast">
<div class="block">set the translation coordinate.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(org.david.geo.shapes.Point,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Transform</h4>
<pre>public&nbsp;Transform&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;tr,
                 double&nbsp;angle)</pre>
<div class="block">Create a <code>Transform</code> from an angle in degrees and two coordinates
 x and y stored in a <code>Point</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tr</code> - coordinates of translation</dd>
<dd><code>angle</code> - angle of rotation in degree</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(org.david.geo.shapes.Point)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Transform</h4>
<pre>public&nbsp;Transform&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;tr)</pre>
<div class="block">Create a <code>Transform</code> from two coordinates
 x and y stored in a <code>Point</code> only.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tr</code> - coordinates of translation</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Transform</h4>
<pre>public&nbsp;Transform&#8203;(double&nbsp;angle)</pre>
<div class="block">Create a <code>Transform</code> from an angle in degrees.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>angle</code> - angle of rotation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getTranslate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTranslate</h4>
<pre class="methodSignature">public&nbsp;<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;getTranslate()</pre>
<div class="block">get translation point value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the coordinate of translation as a <code>Point</code></dd>
</dl>
</li>
</ul>
<a id="setTranslate(org.david.geo.shapes.Point)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTranslate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTranslate&#8203;(<a href="../shapes/Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;tr)</pre>
<div class="block">set the translation coordinate.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tr</code> - coordinate of translation as a <code>Point</code></dd>
</dl>
</li>
</ul>
<a id="getTheta()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTheta</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getTheta()</pre>
<div class="block">get angle of rotation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>rotation angle</dd>
</dl>
</li>
</ul>
<a id="setTheta(double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setTheta</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTheta&#8203;(double&nbsp;value)</pre>
<div class="block">set the angle of rotation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - theta in degree</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
